libetonyek::IWORKBinaryElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKBinaryElement Class Reference

`#include <IWORKBinaryElement.h>`

Inheritance diagram for libetonyek::IWORKBinaryElement:

## Public Member Functions
| IWORKBinaryElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKMediaContentPtr_t & | m_value
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKBinaryElement()

libetonyek::IWORKBinaryElement::IWORKBinaryElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | value
| ) |  |

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKBinaryElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKBinaryElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKBinaryElement::m_data
| private

Referenced by element(), and endOfElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKBinaryElement::m_size
| private

Referenced by element(), and endOfElement().

## ◆ m_value

IWORKMediaContentPtr_t& libetonyek::IWORKBinaryElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKBinaryElement.h
- IWORKBinaryElement.cpp